oyObjectInfoStatic_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Data Fields
oyObjectInfoStatic_s Struct Reference

a static object More...

`#include <oyranos_generic.h>`

Inheritance diagram for oyObjectInfoStatic_s:
Collaboration diagram for oyObjectInfoStatic_s:

## Data Fields
oyOBJECT_e | type
oyPointer | dummy1
oyPointer | dummy2
oyPointer | dummy3
oyOBJECT_e | inheritance [8]
Data Fields inherited from oyStruct_s
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...

## Additional Inherited Members
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetTextFromModule (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get object infos from a module More...
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| Get a text dump. More...
| oyStruct_RegisterStaticMessageFunc
| register a function for verbosity More...
| oyStruct_GetInfo
| get a additional string from a object More...
const char * | oyStructTypeToText (oyOBJECT_e type)
| Objects type to small string. More...

## Detailed Description

a static object

The data field is to be placed alternatively to a oyObject_s at oyStruct_s::oy_ for a static object. It provides basic object data.

Version
  Oyranos: 0.3.0

Since
  2011/02/02 (Oyranos: 0.3.0)

Date
  2011/02/02

## Field Documentation

## ◆ dummy1

oyPointer oyObjectInfoStatic_s::dummy1

keep zero

## ◆ dummy2

oyPointer oyObjectInfoStatic_s::dummy2

keep zero

## ◆ dummy3

oyPointer oyObjectInfoStatic_s::dummy3

keep zero

## ◆ inheritance

oyOBJECT_e oyObjectInfoStatic_s::inheritance[8]

inherited structures start with the position of the last member, followed by the first object type until the last one. Seven levels of inheritance are possible at maximum.

## ◆ type

oyOBJECT_e oyObjectInfoStatic_s::type

oyOBJECT_INFO_STATIC_S